# uiFindNode

Find node in an uitree

## Calling Sequence

    nodeList = uiFindNode(tree, node)

    nodeList = uiFindNode(tree, position)

    nodeList = uiFindNode(tree, property, value)

## Input parameters

tree

  uitree in which we find the node

node

  the node we find

position

  a string, which is the position of the node we find in the tree

property

  a string, which finds node(s) by properties (label, icon or callback)

value

  a string, which is the value of the property

## Output parameters

nodeList

  a list of matching node(s)

## Description

Finds node(s) in a tree.

## Examples

    // We should create nodes(subTrees) before creating trees
    leaf11 = uiCreateNode('leaf 1.1', 'iconLeaf1.1', 'callbackLeaf1.1')
    leaf12 = uiCreateNode('leaf 1.2', 'iconLeaf1.2', 'callbackLeaf1.2')
    leaf31 = uiCreateNode('leaf 3.1', 'iconLeaf3.1', 'callbackLeaf3.1')
    leaf32 = uiCreateNode('leaf 3.2', 'iconLeaf3.2', 'callbackLeaf3.2')
    node1 = uiCreateNode('Node 1', 'iconNode1', 'callbackNode1')
    node2 = uiCreateNode('Node 2', 'iconNode2', 'callbackNode2')
    node3 = uiCreateNode('Node 3', 'iconNode3', 'callbackNode3')
    root = uiCreateNode('Root', 'iconRoot', 'callbackRoot')

    treeNode1 = uiCreateTree(node1, leaf11, leaf12)
    treeNode3 = uiCreateTree(node3, leaf31, leaf32)
    treeRoot = uiCreateTree(root, treeNode1, node2, treeNode3)

    // Creation of a node
    myNode = uiCreateNode('Node 2', 'iconNode2', 'callbackNode2')

    // Find if treeRoot contains myNode
    result = uiFindNode(treeRoot, myNode)
    //will return 'result = list(node1)'

    // Find node at position '1.1'
    result = uiFindNode(treeRoot, '3.1')
    //will return 'result = list(leaf31)'

    // Find node where 'text' equals 'Node 2'
    result = uiFindNode(treeRoot, 'label', 'Node 2')
    //will return 'result = list(node2)'

## See Also

- uiCreateNode
- uiCreateTree
- uiDisplayTree
- uiDumpTree
- uiInsertNode
- uiDeleteNode
- uiConcatTree
- uiEqualsTree
- uiGetParentNode
- uiGetChildrenNode
- uiGetNodePosition